<!DOCTYPE html>
<html>
<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Course 365 - Learning with unlimited!</title>
  
  <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
  <!--
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
  -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
  
  <!-- Các file css và js tự định nghĩa thêm -->
  <link rel="stylesheet" href="style.css">
  <script src="script.js"></script>
</head>
<body>
<!-- 1. Header - Navbar menu -->
  <div id="head-link">
    <nav class="navbar navbar-expand-lg navbar-light bg-light fixed-top">
      <a class="navbar-brand" href="#">
        <image src="images/Ionic_logo.png"></image>
      </a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
    
      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
          <li class="nav-item active">
            <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
          </li>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              Browse course
            </a>
            <div class="dropdown-menu" aria-labelledby="navbarDropdown">
              <a class="dropdown-item" href="#">Web Development</a>
              <a class="dropdown-item" href="#">Mobile App</a>
              <a class="dropdown-item" href="#">Desktop App</a>
              <a class="dropdown-item" href="#">Javascript 101</a>
              <a class="dropdown-item" href="#">GraphQL</a>
            </div>
          </li>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              About us
            </a>
            <div class="dropdown-menu" aria-labelledby="navbarDropdown">
              <a class="dropdown-item" href="#">Vision & Mission</a>
              <a class="dropdown-item" href="#">Team</a>
              <a class="dropdown-item" href="#">How To Register</a>
              <a class="dropdown-item" href="#">Contact Us</a>
            </div>
          </li>
        </ul>
        <form class="form-inline ml-3">
          <i class="fa fa-search text-secondary position-absolute ps-icon-search"></i>
          <input class="form-control mr-sm-3 ps-input-search" type="search" placeholder="Search" aria-label="Search">
          <button class="btn btn-outline-success" type="submit">Search</button>
        </form>
      </div>
    </nav>
<!-- 2. Slide body -->
  <div id="slide-body" class="container-fluid">
    <div class="container p-3">
      <div class="row">
        <div class="col-sm-6 p-5">
          <h1>Welcome to Ionic Course365 Learning Center</h1>
          <p class= "p-slide-content">Ionic Course365 is an online learning and teaching marketplace with over 5000 courses and 1 million students. Instructor and expertly crafted courses, designed for the modern students and entrepreneur.</p>
          <button class="btn btn-warning">Browse Courses</button>
          <button class="btn btn-light">Become an Instructor</button>
        </div>
        <div class="col-sm-6">
          <img class="img-responsive" src="images/ionic-207965.png" style="width:90%" height="auto" class="d-inline-block" alt="">
        </div>
      </div>
    </div>
  </div>
<!-- 3. Courses content -->
  <div id="course-content" class="container-fluid">
    <div class="container p-3">
      <div class="row">
          <h3>Recommened to you</h3>
      <div class="card-deck p-2">
        <div class="card">
          <img src="images/courses/course-angular.jpg" class="card-img-top" alt="...">
          <div class="card-body">
            <h6 class="card-title"><a href="#">How to easily create a website with Angular</a></h6>
            <p class="card-text">
              <small class="text-muted">  <i class="fas fa-thin fa-clock"></i></small>
              <small class="text-muted"> 3h 56m  - Beginner </small> 
            </p>
            <p> <b>$600</b> <del class="text-muted">$750</del> </p>
          </div>
          <div class="card-footer">
            <img src="images/teacher/morris_mccoy.jpg" class="rounded-circle" alt="Morris Mccoy" width="30">
            <small class="text-muted">Morris Mccoy</small>
            <div class="float-right"><i class="fa fa-bookmark"></i></div>
          </div>
        </div>
        <div class="card">
          <img src="images/courses/course-python.jpg" class="card-img-top" alt="...">
          <div class="card-body">
            <h6 class="card-title"><a href="#">The Python Course: build web application</a></h6>
            <p class="card-text">
              <small class="text-muted"><i class="fas fa-thin fa-clock"></i></small>
              <small class="text-muted"> 4h 30m  - Advanced </small> 
            </p>
            <p> <b>$900</b> <del class="text-muted">$1050</del> </p>
          </div>
          <div class="card-footer">
            <img src="images/teacher/claire_robertson.jpg" class="rounded-circle" alt="Claire Robertson" width="30">
            <small class="text-muted">Claire Robertson</small>
            <div class="float-right"><i class="fa fa-bookmark"></i></div>
          </div>
        </div>
        <div class="card">
          <img src="images/courses/course-graphql.jpg" class="card-img-top" alt="...">
          <div class="card-body">
            <h6 class="card-title"><a href="#">GraphQL: introduction to graphQL for beginners</a></h6>
            <p class="card-text">
              <small class="text-muted"><i class="fas fa-thin fa-clock"></i></small>
              <small class="text-muted"> 2h 15m  - Intermediate </small> 
            </p>
            <p> <b>$650</b> <del class="text-muted">$850</del> </p>
          </div>
          <div class="card-footer">
            <img src="images/teacher/ted_hawkins.jpg" class="rounded-circle" alt="Ted Hawkins" width="30">
            <small class="text-muted">Ted Hawkins</small>
            <div class="float-right"><i class="fa fa-bookmark"></i></div>
          </div>
        </div>
        <div class="card">
          <img src="images/courses/course-javascript.jpg" class="card-img-top" alt="...">
          <div class="card-body">
            <h6 class="card-title"><a href="#">Getting Started with JavaScript</a></h6>
            <p class="card-text">
              <small class="text-muted"><i class="fas fa-thin fa-clock"></i></small>
              <small class="text-muted"> 3h 34m  - Beginner </small> 
            </p>
            <p> <b>$300</b> <del class="text-muted">$550</del> </p>
          </div>
          <div class="card-footer">
            <img src="images/teacher/ted_hawkins.jpg" class="rounded-circle" alt="Ted Hawkins" width="30">
            <small class="text-muted">Ted Hawkins</small>
            <div class="float-right"><i class="fa fa-bookmark"></i></div>
          </div>
        </div>
      </div>
    </div>
  </div>
    <div class="container p-3">
      <div class="row">
        <h3>Most Popular</h3>
      <div class="card-deck p-2 popular">
        
      </div>
    </div>
  </div>
    <div class="container p-3">
      <div class="row">
        <h3>Trending</h3>
      <div class="card-deck p-2">
        <div class="card">
          <img src="images/courses/course-javascript.jpg" class="card-img-top" alt="...">
          <div class="card-body">
            <h6 class="card-title"><a href="#">Getting Started with JavaScript</a></h6>
            <p class="card-text">
              <small class="text-muted"><i class="fas fa-thin fa-clock"></i></small>
              <small class="text-muted"> 3h 34m  - Beginner </small> 
            </p>
            <p> <b>$300</b> <del class="text-muted">$550</del> </p>
          </div>
          <div class="card-footer">
            <img src="images/teacher/ted_hawkins.jpg" class="rounded-circle" alt="Ted Hawkins" width="30">
            <small class="text-muted">Ted Hawkins</small>
            <div class="float-right"><i class="fa fa-bookmark"></i></div>
          </div>
        </div>
        <div class="card">
          <img src="images/courses/course-angular.jpg" class="card-img-top" alt="...">
          <div class="card-body">
            <h6 class="card-title"><a href="#">How to easily create a website with Angular</a></h6>
            <p class="card-text">
              <small class="text-muted">  <i class="fas fa-thin fa-clock"></i></small>
              <small class="text-muted"> 3h 56m  - Beginner </small> 
            </p>
            <p> <b>$600</b> <del class="text-muted">$750</del> </p>
          </div>
          <div class="card-footer">
            <img src="images/teacher/morris_mccoy.jpg" class="rounded-circle" alt="Morris Mccoy" width="30">
            <small class="text-muted">Morris Mccoy</small>
            <div class="float-right"><i class="fa fa-bookmark"></i></div>
          </div>
        </div>
        <div class="card">
          <img src="images/courses/course-css.jpg" class="card-img-top" alt="...">
          <div class="card-body">
            <h6 class="card-title"><a href="#">CSS: ultimate CSS course from beginner to advanced</a></h6>
            <p class="card-text">
              <small class="text-muted"><i class="fas fa-thin fa-clock"></i></small>
              <small class="text-muted"> 3h 56m  - Beginner </small> 
            </p>
            <p> <b>$600</b> <del class="text-muted">$750</del> </p>
          </div>
          <div class="card-footer">
            <img src="images/teacher/juanita_bell.jpg" class="rounded-circle" alt="Juanita Bell" width="30">
            <small class="text-muted">Juanita Bell</small>
            <div class="float-right"><i class="fa fa-bookmark"></i></div>
          </div>
        </div>
        <div class="card">
          <img src="images/courses/course-python.jpg" class="card-img-top" alt="...">
          <div class="card-body">
            <h6 class="card-title"><a href="#">The Python Course: build web application</a></h6>
            <p class="card-text">
              <small class="text-muted"><i class="fas fa-thin fa-clock"></i></small>
              <small class="text-muted"> 4h 30m  - Advanced </small> 
            </p>
            <p> <b>$900</b> <del class="text-muted">$1050</del> </p>
          </div>
          <div class="card-footer">
            <img src="images/teacher/claire_robertson.jpg" class="rounded-circle" alt="Claire Robertson" width="30">
            <small class="text-muted">Claire Robertson</small>
            <div class="float-right"><i class="fa fa-bookmark"></i></div>
          </div>
        </div>
      </div>
    </div>
  </div>
<!-- 4. Footer -->
  <div id="footer" class="container">
    <div class="row">
      <div class="col-sm-6">
        <p3>© 2021 Ionic Course365. All Rights Reserved.</p3>
      </div>
      <div class="col-sm-6">
      </div>
    </div>
  </div>
</div> 
</body>
<script>
  "use strict";
  //Phần hiển thị các môn 'Most Popular'
    var gObjectPopularArr = gCoursesDB.findIsPopular();
    var gNumPopular = 0;
    // dùng vòng for để duyệt tất cả các course có trong mảng gObjectPopularArr
    for (var bI = 0; bI < gObjectPopularArr.length; bI++) {
      $(".popular").append(
        "<div class='card'>" +
          "<img  class='card-img-top popular-image' alt='...'>" +
          "<div class='card-body'>" +
            "<h6 class='card-title'>" +
            "<a class='popular-course-name' href='#''></a></h6>" +
            "<p class='card-text'>" +
              "<small class='text-muted'><i class='fas fa-thin fa-clock'></i></small>" +
              "<small class='text-muted popular-duration-level'></small>" +
            "</p>" +
            "<p class='popular-price'> </p>" +
          "</div>" +
          "<div class='card-footer'>" +
            "<img class='rounded-circle popular-teacher-photo' alt='...' width='30'>" +
            "<small class='text-muted popular-teacher-name'></small>" +
            "<div class='float-right'><i class='fa fa-bookmark'></i></div>" +
          "</div>" + 
        "</div>"
      );
      $(".popular-image").last().attr("src", gObjectPopularArr[gNumPopular].coverImage);
      $(".popular-course-name").last().html(gObjectPopularArr[gNumPopular].courseName);
      $(".popular-duration-level").last().html(" " + gObjectPopularArr[gNumPopular].duration  + " - " + gObjectPopularArr[gNumPopular].level);
      //$(".popular-level").last().html(" " + gObjectPopularArr[gNumPopular].level);
      $(".popular-price").last().html("$" + "<b>" + gObjectPopularArr[gNumPopular].discountPrice + "</b>" + " " 
      + "<del class='text-muted'>" + gObjectPopularArr[gNumPopular].price + "</del>");
      //$(".popular-discounted-price").last().html(gObjectPopularArr[gNumPopular].discountPrice);
      $(".popular-teacher-photo").last().attr("src", gObjectPopularArr[gNumPopular].teacherPhoto); 
      $(".popular-teacher-name").last().attr("src", gObjectPopularArr[gNumPopular].teacherName);
      gNumPopular ++;
    }
  //Phần hiển thị các môn 'Trending'
  var gObjectTrendingArr = gCoursesDB.findIsTrending();
  var gNumTrending = 0;
  //Dùng vòng for để hiển thị các mảng gObjectTrendingArr
  for (var bI = 0; bI < gObjectTrendingArr.length; bI++) {
      $(".trending").append(
        "<div class='card'>" +
          "<img  class='card-img-top trending-image' alt='...'>" +
          "<div class='card-body'>" +
            "<h6 class='card-title'>" +
            "<a class='trending-course-name' href='#''></a></h6>" +
            "<p class='card-text'>" +
              "<small class='text-muted'><i class='fas fa-thin fa-clock'></i></small>" +
              "<small class='text-muted trending-duration-level'></small>" +
            "</p>" +
            "<p class='trending-price'> </p>" +
          "</div>" +
          "<div class='card-footer'>" +
            "<img class='rounded-circle trending-teacher-photo' alt='...' width='30'>" +
            "<small class='text-muted trending-teacher-name'></small>" +
            "<div class='float-right'><i class='fa fa-bookmark'></i></div>" +
          "</div>" + 
        "</div>" 
    );
    $(".trending-image").last().attr("src", gObjectTrendingArr[gNumTrending].coverImage);
      $(".trending-course-name").last().html(gObjectTrendingArr[gNumTrending].courseName);
      $(".trending-duration-level").last().html(" " + gObjectTrendingArr[gNumTrending].duration  + " - " + gObjectTrendingArr[gNumTrending].level);
      //$(".popular-level").last().html(" " + gObjectPopularArr[gNumPopular].level);
      $(".trending-price").last().html("$" + "<b>" + gObjectTrendingArr[gNumTrending].discountPrice + "</b>" + " " 
      + "<del class='text-muted'>" + gObjectTrendingArr[gNumTrending].price + "</del>");
      //$(".popular-discounted-price").last().html(gObjectPopularArr[gNumPopular].discountPrice);
      $(".trending-teacher-photo").last().attr("src", gObjectTrendingArr[gNumTrending].teacherPhoto); 
      $(".trending-teacher-name").last().attr("src", gObjectTrendingArr[gNumTrending].teacherName);
      gNumTrending ++;
  }
</script>
</html>